"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromIterableStream = void 0;
const tslib_1 = require("tslib");
const from_iterable_1 = tslib_1.__importDefault(require("./from-iterable"));
function fromIterableStream(stream) {
    async function* iterate() {
        for await (const chunk of stream) {
            for (const char of Buffer.from(chunk)) {
                yield char;
            }
        }
    }
    const data = {
        [Symbol.asyncIterator]: iterate,
    };
    return from_iterable_1.default(data);
}
exports.fromIterableStream = fromIterableStream;
exports.default = fromIterableStream;
