"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lines = void 0;
const tslib_1 = require("tslib");
const simple_flatten_1 = tslib_1.__importDefault(require("../utils/simple-flatten"));
const elements_1 = tslib_1.__importDefault(require("./elements"));
async function* lines(splitter) {
    // workaround https://github.com/palantir/tslint/issues/3997
    // tslint:disable-next-line:await-promise
    for await (const element of elements_1.default(splitter)) {
        const { format, reset, main, prefix, suffix } = element;
        const flattenFormat = simple_flatten_1.default(format);
        yield [...reset, ...prefix, ...flattenFormat, ...main, ...suffix];
    }
}
exports.lines = lines;
exports.default = lines;
