export class SplitterObject {
  constructor(options) {
    this.data = options.data;
    this.prefix = options.prefix || [];
    this.suffix = options.suffix || [];
  }

  withPrefix(prefix) {
    const {
      data,
      suffix
    } = this;
    return new SplitterObject({
      data,
      prefix,
      suffix
    });
  }

  withSuffix(suffix) {
    const {
      data,
      prefix
    } = this;
    return new SplitterObject({
      data,
      prefix,
      suffix
    });
  }

  withIndent(indent) {
    return this.withPrefix(Buffer.from(' '.repeat(indent)));
  }

}
export default SplitterObject;