import StringWritable from "../utils/string-writable.mjs";
import write from "./write.mjs";
import writeln from "./writeln.mjs";
export async function toString(splitter, options = {}) {
  const {
    finalNewLine = false,
    ...rest
  } = options;
  const writable = new StringWritable(rest);

  if (finalNewLine) {
    await writeln(writable, splitter);
  } else {
    await write(writable, splitter);
  }

  return writable.toString();
}
export default toString;